<template>
  <el-scrollbar wrap-class="scrollbar-wrapper">
    <div class="logo-wrapper">
      <img
        class="logo-wrapper__image"
        src="@/assets/images/ritx-bertani-logo.png"
        alt="ritx-bertani"
      />
    </div>
    <el-menu
      :show-timeout="200"
      :default-active="$route.path"
      :collapse="isCollapse"
      mode="vertical"
      text-color="#e9f1e4"
      active-text-color="#ffffff"
      hover-background="#086939"
    >
      <sidebar-item
        v-for="route in permission_routers"
        :key="route.path"
        :item="route"
        :base-path="route.path"
      />
    </el-menu>
  </el-scrollbar>
</template>

<script>
import { mapGetters } from 'vuex';
import SidebarItem from './SidebarItem';
// import variables from '@/styles/variables.scss'; & positive case on sidebar opened will trigger sidebar opened

export default {
  components: { SidebarItem },
  computed: {
    ...mapGetters(['permission_routers', 'sidebar']),
    isCollapse() {
      return !this.sidebar.opened;
    }
  }
};
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
@import '@/styles/variables.scss';
.logo-wrapper {
  padding: 30px;
  background-color: $ritx-light-green;
  /* background-image: gradient(linear, 64% 76%, 64% 24%, from($ritx-light-green), to($ritx-mid-green)); */
  &__image {
    width: 100%;
  }
}

.el-menu {
  background-color: $ritx-light-green;
  /* color: $true-white; */
}
</style>
